DateSelector.TimeComparisons (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.types.selectors, class: DateSelector, class: TimeComparisons

# Class DateSelector.TimeComparisons

java.lang.Object
org.apache.tools.ant.types.EnumeratedAttribute
org.apache.tools.ant.types.TimeComparison
org.apache.tools.ant.types.selectors.DateSelector.TimeComparisons

Enclosing class:
  `DateSelector`

public static class DateSelector.TimeComparisons extends TimeComparison
Enumerated attribute with the values for time comparison.

Since:
  1.5

- ## Field Summary

  ### Fields inherited from class TimeComparison

  `AFTER, BEFORE, EQUAL`
  Modifier and Type
  Field
  Description
  `static final TimeComparison`
  `AFTER`
  After Comparison.
  `static final TimeComparison`
  `BEFORE`
  Before Comparison.
  `static final TimeComparison`
  `EQUAL`
  Equal Comparison.

  ### Fields inherited from class EnumeratedAttribute

  `value`
  Modifier and Type
  Field
  Description
  `protected String`
  `value`
  The selected value in this enumeration.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TimeComparisons()`

- ## Method Summary

  ### Methods inherited from class TimeComparison

  `compare, compare, evaluate, evaluate, getValues`
  Modifier and Type
  Method
  Description
  `static int`
  `compare(long t1, long t2)`
  Compare two times.
  `static int`
  `compare(long t1, long t2, long g)`
  Compare two times.
  `boolean`
  `evaluate(long t1, long t2)`
  Evaluate two times against this TimeComparison.
  `boolean`
  `evaluate(long t1, long t2, long g)`
  Evaluate two times against this TimeComparison.
  `String[]`
  `getValues()`
  Return the possible values.

  ### Methods inherited from class EnumeratedAttribute

  `containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`
  Modifier and Type
  Method
  Description
  `final boolean`
  `containsValue(String value)`
  Is this value included in the enumeration?
  `final int`
  `getIndex()`
  `static EnumeratedAttribute`
  `getInstance(Class<? extends EnumeratedAttribute> clazz, String value)`
  Factory method for instantiating EAs via API in a more developer friendly way.
  `final String`
  `getValue()`
  `final int`
  `indexOfValue(String value)`
  get the index of a value in this enumeration.
  `void`
  `setValue(String value)`
  Invoked by `IntrospectionHelper`.
  `String`
  `toString()`
  Convert the value to its string form.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TimeComparisons

    public TimeComparisons()